﻿


public class CLS_CopyToPoints
{
	/// <summary>
	/// This function copyies the child object to the points passed to it.
	/// </summary>
	/// <returns>This function returns nothing.</returns>
	public static function CopyToPoints(parent:GameObject, child:Object, points:Vector3[])
	{
		
		var plen:int = points.Length;
		
		for(var i:int = 0; i<plen;++i)
		{
			//var cGO:GameObject = new GameObject(parent.name + "_" + child.name + "_" + i.ToString());
			var cGO:GameObject = parent.Instantiate(child, new Vector3(points[i].x + parent.transform.position.x, points[i].y + parent.transform.position.y, points[i].z +parent.transform.position.z ), Quaternion.identity);
			cGO.name = parent.name + "_" + child.name + "_CPS_" + i.ToString();		
			cGO.transform.parent = parent.transform;
		}
	 
	}
	
	
	
	/// <summary>
	/// This function copyies the child object to the points passed to it.
	/// This function also has the option to cleanup any children previously spawned.
	/// </summary>
	/// <returns>This function returns nothing.</returns>
	public static function CopyToPoints(parent:GameObject, child:Object, points:Vector3[], cleanup:boolean)
	{
		if(cleanup)
		{
			var children:int = parent.transform.childCount;
			for(var i:int =0; i<children;++i)
			{
				parent.Destroy(parent.transform.GetChild((children-i)-1).gameObject);
			}
		}
		
		
		CopyToPoints(parent, child, points);
	 
	} 

}
